// binding
ko.bindingHandlers.fadeVisible = {
    init: function(element, valueAccessor){
        var value = valueAccessor();
        $(element).toggle(ko.unwrap(value));
    },
    update: function(element, valueAccessor){
        var value = valueAccessor();
        ko.unwrap(value) ? $(element).fadeIn() : $(element).fadeOut();
    }
};

ko.bindingHandlers.fadeClass = {
    fadedClass: "",
    init: function(element, valueAccessor){
        var classname = valueAccessor();
        $(element).addClass(classname());
        fadedClass = classname();
    },
    update: function(element, valueAccessor){
        var classname = valueAccessor();
        if(fadedClass !== classname()){
            $(element).switchClass(fadedClass, classname(), 400, "linear");
            fadedClass = classname();
        }
    }
};

ko.bindingHandlers.hidden = {
  update: function(element, valueAccessor) {
    ko.bindingHandlers.visible.update(element, function() {
      return !ko.utils.unwrapObservable(valueAccessor());
    });
  }
};

ko.bindingHandlers.simpleMenu = {
    init: function(element, valueAccessor){
        var value = valueAccessor();
        $(element).menu();
    },
    update: function(element, valueAccessor){
        $(element).menu("refresh");
    }
};

ko.bindingHandlers.draggable = {
    init: function(element, valueAccessor){
        $(element).draggable(valueAccessor());
    },
    update: function(element, valueAccessor){

    }
};